NewWacht Bench is live — AI-assisted development for Wacht

Revoke Api Key For App

POST
/api-auth/apps/{app_slug}/keys/{key_id}/revoke

Authorization

bearerAuth
AuthorizationBearer <token>

API key issued from the Wacht platform dashboard. Pass as a Bearer token: Authorization: Bearer <api_key>

In: header

Path Parameters

app_slug*string
key_id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://api.wacht.dev/api-auth/apps/string/keys/string/revoke" \  -H "Content-Type: application/json" \  -d '{}'
{}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}